=== debian/control ===
Source: symbiosis-ftpd
Section: web
Priority: extra
Maintainer: James Carter <jcarter@bytemark.co.uk>
Uploaders: Patrick J Cherry <patrick@bytemark.co.uk>, Steve Kemp <steve@bytemark.co.uk>
Build-Depends: debhelper (>= 7.0.0), gem2deb, ruby, txt2man, dh-systemd
Standards-Version: 3.9.1
XS-Ruby-Versions: all

Package: symbiosis-ftpd
Architecture: all
Depends: pure-ftpd, ${misc:Depends}, symbiosis-common (>= 2017:0328), procps, ruby
Replaces: bytemark-vhost-ftpd, symbiosis-monit (<< 2011:1206), symbiosis-test
Breaks: symbiosis-monit (<< 2011:1206)
Conflicts: bytemark-vhost-ftpd, symbiosis-test
Provides: bytemark-vhost-ftpd
Description: Tools to manage FTP virtual hosting
 This package contains tools to FTP access to any virtual hosts which
 have been setup with the bytemark packges.
 .
 When this package is installed your system will be automatically
 configured to allow FTP access to your websites.
