## symbiosis-ftpd 0615

=== debian/changelog ===
symbiosis-ftpd (2018:0615) stable; urgency=medium

  * Restrict FTP sessions to TLS only.

 -- Andrew Ladlow <andrew.ladlow@bytemark.co.uk>  Fri, 15 Jun 2018 13:17:42 +0100

symbiosis-ftpd (2017:0904) stable; urgency=medium

  * Added hook to restart daemon on SSL certificate renewal.

 -- Patrick J Cherry <patrick@bytemark.co.uk>  Mon, 04 Sep 2017 12:08:18 +0100
