## symbiosis-ftpd 0618

=== debian/changelog ===
symbiosis-ftpd (2018:0618) stable; urgency=medium

  * Re-impliments enforced TLS encryption to comply with best practices.

 -- Paul Cammish <paul.cammish@bytemark.co.uk>  Mon, 06 Aug 2018 10:31:03 +0100
