## symbiosis-ftpd 1110

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: symbiosis-ftpd
 Architecture: all
-Depends: pure-ftpd, ${misc:Depends}, symbiosis-common (>= 2017:0830), procps, ruby
+Depends: pure-ftpd, ${misc:Depends}, symbiosis-common (>= 2015:1103), procps, ruby, symbiosis-common
 Replaces: bytemark-vhost-ftpd, symbiosis-monit (<< 2011:1206), symbiosis-test
 Breaks: symbiosis-monit (<< 2011:1206)
 Conflicts: bytemark-vhost-ftpd, symbiosis-test
